Set the default bulk shipping address
curl --request POST \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}/default \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}/default"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}/default"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "507f1f77bcf86cd799439011",
"line1": "123 Main Street",
"city": "Springfield",
"region": "Arizona",
"postalCode": "85001",
"countryCode": "US",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555",
"isDefault": true,
"line2": "Suite 4"
}Cards
Set the default bulk shipping address
Marks this address as the tenant default. Issue still requires you to send the address id as bulkShippingGroupId explicitly.
POST
/
api
/
v1
/
cards
/
bulk-shipping-addresses
/
{id}
/
default
Set the default bulk shipping address
curl --request POST \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}/default \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}/default"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/cards/bulk-shipping-addresses/{id}/default"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "507f1f77bcf86cd799439011",
"line1": "123 Main Street",
"city": "Springfield",
"region": "Arizona",
"postalCode": "85001",
"countryCode": "US",
"recipientFirstName": "Jane",
"recipientLastName": "Doe",
"recipientPhoneCountryCode": "1",
"recipientPhoneNumber": "5555555555",
"isDefault": true,
"line2": "Suite 4"
}Authorizations
Bearer JWT issued to your business account during onboarding
Path Parameters
Response
200 - application/json
Bulk shipping address id. Pass this as bulkShippingGroupId when issuing physical cards.
Example:
"507f1f77bcf86cd799439011"
Example:
"123 Main Street"
Example:
"Springfield"
Example:
"Arizona"
Example:
"85001"
Example:
"US"
Example:
"Jane"
Example:
"Doe"
Example:
"1"
Example:
"5555555555"
Example:
true
Example:
"Suite 4"